package org.gcube.resourcemanagement.model.impl.relations.consistsof;

import org.gcube.informationsystem.model.reference.properties.PropagationConstraint;
import org.gcube.resourcemanagement.model.reference.entities.facets.ActionFacet;
import org.gcube.resourcemanagement.model.reference.entities.resources.Service;
import org.gcube.resourcemanagement.model.reference.relations.consistsof.HasAddAction;

/**
 * An implementation of the {@link HasRemoveAction} relation.
 * 
 * @author Manuele Simi (ISTI CNR)
 *
 */
public class HasRemoveActionImpl<Out extends Service, In extends ActionFacet>
	extends HasActionImpl<Out, In> implements HasAddAction<Out, In>{
	
	/**
	 * Generated Serial Version UID
	 */
	private static final long serialVersionUID = 5038048537520695788L;

	protected HasRemoveActionImpl() {
		super();
	}

	public HasRemoveActionImpl(Out source, In target,
			PropagationConstraint propagationConstraint) {
		super(source, target, propagationConstraint);
	}
}
