/**
 * 
 */
package org.gcube.resourcemanagement.model.reference.entities.resources;

import org.gcube.resourcemanagement.model.impl.entities.resources.SiteImpl;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;

/**
 * @author Luca Frosini (ISTI - CNR)
 * https://wiki.gcube-system.org/gcube/Facet_Based_Resource_Model#Site
 */
@JsonDeserialize(as=SiteImpl.class)
public interface Site extends GCubeResource {

	public static final String NAME = "Site"; // Site.class.getSimpleName();
	public static final String DESCRIPTION = "Collect Site information through the list of its facets";
	public static final String VERSION = "1.0.0";
	
}
